/******************************************************************************
CIF_Listener_Nexus_UDP.C

Description:

  Implementation of the Nexus Listener class for UDP

CVS Information:

  $Source$
  $Date$
  $Revision$
  $State$
  $Author$
******************************************************************************/

/******************************************************************************
			     Include header files
******************************************************************************/
#include "CIF_Listener_Nexus_UDP.H"
#include "CIF_Connection_Nexus_UDP.H"


/******************************************************************************
		     Define CIF_Listener_Nexus_UDP methods
******************************************************************************/

CIF_Connection_Nexus *
CIF_Listener_Nexus_UDP::allocate_Connection()
{
    CIF_Connection_Nexus_UDP *		conn;

    conn = new CIF_Connection_Nexus_UDP;

    return (CIF_Connection_Nexus *) conn;
}


char *
CIF_Listener_Nexus_UDP::get_URL_Scheme()
{
    return CIF_PROTOCOL_UDP_STR;
}

